/*
 *
 *  Copyright (c) 2002-2005 by Danilo Krahn
 *
 *    This library is free software; you can redistribute it and/or
 *    modify it under the terms of the GNU Lesser General Public
 *    License as published by the Free Software Foundation; either
 *    version 2.1 of the License, Or (at your option) any later version.
 *
 *    This library is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY Or FITNESS For A PARTICULAR PURPOSE.  See the GNU
 *    Lesser General Public License For more details. 
 *
 */
#include "SkinWinFast.h"



PBFUNCTION(void) PB_SkinWinFastCleanup(void) {

   if (sw_FastSkinArea) {
      // search existing entries and cleanup
      for (long i=0; i<sw_FastSkinAreaSize; i++) {
         if (sw_FastSkinArea[i].hBmp)        DeleteObject (sw_FastSkinArea[i].hBmp);
         if (sw_FastSkinArea[i].region_data) PB_FreeMemory(sw_FastSkinArea[i].region_data);
      }
   }
}

